commit 02f20d9bf5b637b8fe3de122029289072e1c67a3
parent 9a8ff3de39eb0aab56241505be577b227e31b5b4
Author: lash <dev@holbrook.no>
Date: Fri, 23 Dec 2022 06:04:13 +0000
Add requirements prepare to python make
Diffstat:
3 files changed, 21 insertions(+), 1 deletion(-)
diff --git a/Makefile b/Makefile
@@ -7,6 +7,7 @@ js:
python:
make -C python
+ cd python && ./prepare.sh
solidity:
make -C solidity install
diff --git a/README.md b/README.md
@@ -18,7 +18,7 @@ Version numbers in dependencies are not absolute, but only detail what has been
- A private network with [geth](https://github.com/ethereum/go-ethereum)
- An `evm` network using valueless tokens (e.g. [Görli](https://blog.infura.io/post/infura-supports-goerli-and-sepolia-as-ethereums-long-lived-testnets) or [Bloxberg](https://bloxberg.org))
-For `python` and `node` requirements, please consult the respective `*requirements.txt` and `package.json` files.
+For `python` and `node` requirements, please consult the respective `*requirements.txt` and `package.json` files. Usage of `virtualenv` for python and `nvm` for nodejs is recommended.
The example browser application currently only works with Metamask as wallet. The dependencies used in development are:
diff --git a/python/prepare.sh b/python/prepare.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+if [ ! -d .venv ]; then
+ virtualenv .venv
+fi
+
+venv=1
+. .venv/bin/activate
+if [ $? -ne "0" ]; then
+ >&2 echo "virtualenv doesn't seem to exiss"
+ venv=0
+fi
+
+pip install -r requirements.txt
+pip install -r test_requirements.txt
+
+if [ $venv == "1" ]; then
+ deactivate
+fi